xyTable {grDevices} | R Documentation

## Multiplicities of (x,y) Points, e.g., for a Sunflower Plot

### Description

Given (x,y) points, determine their multiplicity – checking for equality only up to some (crude kind of) noise. Note that this is special kind of 2D binning.

### Usage

    xyTable(x, y = NULL, digits)

### Arguments

`x, y` | numeric vectors of the same length; alternatively other (x, y) argument combinations as allowed by `xy.coords(x, y)`.
`digits` | integer specifying the significant digits to be used for determining equality of coordinates. These are compared after rounding them via `signif(*, digits)`.

### Value

A list with three components of same length,

`x` | x coordinates, rounded and sorted.
`y` | y coordinates, rounded (and sorted within `x`).
`number` | multiplicities (positive integers); i.e., `number[i]` is the multiplicity of `(x[i], y[i])`.

### See Also

`sunflowerplot` which typically uses `xyTable()`; `signif`.

### Examples

    xyTable(iris[, 3:4], digits = 6)

    ## Discretized uncorrelated Gaussian:

    require(stats)
    xy <- data.frame(x = round(sort(rnorm(100))), y = rnorm(100))
    xyTable(xy, digits = 1)

[Package grDevices version 3.6.0 Index]